Subject: Re: bug#65347: 29.1; Underscore in query replace prevents case-matching

From: Eli Zaretskii <[email-masked]>
Date: Sat, 19 Aug 2023 09:00:37 +0300

> From: Spencer Baugh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 18 Aug 2023 17:00:12 -0400
> 
> > We should work on adding refactoring instead of tweaking M-% and M-*
> > in these directions.
> 
> Okay, I'm convinced.  I'll defer this functionality to the future
> refactoring support in Emacs, built with project.el and eglot no doubt.

Eglot can serve as the back-end, and it isn't the only one that comes
to mind (I sincerely hope that at least some of the simpler
refactoring jobs will not require an LSP, but could be done using
built-in capabilities).

But back-end is just one part of this.  We should IMO begin by our own
research into the UI parts of this: how does the user specify the
requested refactoring?  Several alternatives are possible, and we
should study them and decide what is best for Emacs.

Would someone please step forward and work on adding refactoring to
Emacs?